#Include <File.au3>
#Include <Array.au3>
$FileDir=FileSelectFolder("Choose a folder.", "","",@ScriptDir)
$FileList=_FileListToArray($FileDir & "\","*.kal",1)

If @Error=1 Then
	MsgBox (0,"","No Files\Folders Found.")
	Exit
EndIf

_ArrayDelete( $FileList,0)

$i = 0
While $i < UBound ($FileList,1)
$OutFile = $FileDir & "\" & StringRegExpReplace($FileList[$i], "(.kal)", ".map")

If FileExists($OutFile) Then
   FileDelete($OutFile)
EndIf

FileWriteLine($OutFile,"MMPNUM,4")

$var = IniRead($FileDir & "\" & $FileList[$i], "Calibration Point 1", "Pixel", "NotFound")
FileWriteLine($OutFile,"MMPXY,1," & StringRegExpReplace($var, "[^0-9,]", ""))
$var = IniRead($FileDir & "\" & $FileList[$i], "Calibration Point 3", "Pixel", "NotFound")
StringRegExpReplace($var, "[POINT()]", "")
FileWriteLine($OutFile,"MMPXY,2," & StringRegExpReplace($var, "[^0-9,]", ""))
$var = IniRead($FileDir & "\" & $FileList[$i], "Calibration Point 2", "Pixel", "NotFound")
StringRegExpReplace($var, "[POINT()]", "")
FileWriteLine($OutFile,"MMPXY,3," & StringRegExpReplace($var, "[^0-9,]", ""))
$var = IniRead($FileDir & "\" & $FileList[$i], "Calibration Point 4", "Pixel", "NotFound")
StringRegExpReplace($var, "[POINT()]", "")
FileWriteLine($OutFile,"MMPXY,4," & StringRegExpReplace($var, "[^0-9,]", ""))

$var1 = IniRead($FileDir & "\" & $FileList[$i], "Calibration Point 1", "Longitude", "NotFound")
$var2 = IniRead($FileDir & "\" & $FileList[$i], "Calibration Point 1", "Latitude", "NotFound")
FileWriteLine($OutFile,"MMPLL,1, " & $var1 & ", " & $var2)
$var1 = IniRead($FileDir & "\" & $FileList[$i], "Calibration Point 3", "Longitude", "NotFound")
$var2 = IniRead($FileDir & "\" & $FileList[$i], "Calibration Point 3", "Latitude", "NotFound")
FileWriteLine($OutFile,"MMPLL,2, " & $var1 & ", " & $var2)
$var1 = IniRead($FileDir & "\" & $FileList[$i], "Calibration Point 2", "Longitude", "NotFound")
$var2 = IniRead($FileDir & "\" & $FileList[$i], "Calibration Point 2", "Latitude", "NotFound")
FileWriteLine($OutFile,"MMPLL,3, " & $var1 & ", " & $var2)
$var1 = IniRead($FileDir & "\" & $FileList[$i], "Calibration Point 4", "Longitude", "NotFound")
$var2 = IniRead($FileDir & "\" & $FileList[$i], "Calibration Point 4", "Latitude", "NotFound")
FileWriteLine($OutFile,"MMPLL,4, " & $var1 & ", " & $var2)

$i = $i + 1
WEnd
MsgBox(0, "Fertig", "Fertig")